Subject: bug#72610: closed (Re: gzip patch.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 11 Sep 2024 14:52:02 +0000

Your bug report

#72610: maint: Update library names used by Gnulib.

which was filed against the gzip package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72610: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72610
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: gzip patch.
From: Jim Meyering <[email-masked]>
To: Collin Funk <[email-masked]>, [email-masked]
Date: Wed, 11 Sep 2024 16:51:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Sep 10, 2024 at 3:45 AM Collin Funk <[email-masked]> wrote:
> Hi Jim,
>
> Thanks for the recent gzip patches.
>
> Could you check and apply one I've sent previously [1]?
>
> It fixes some library names used by Gnulib. They should only be needed
> on ancient systems I think, but might as well build correctly wherever
> possible. :)
>
> Thanks,
> Collin
>
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72610

Hi Collin,

Thanks for the patch and the message.
I have just pushed your patch.

I was somewhat surprised to find that I have no trace of your original,
though I did find a very similarly-titled message about tar.
Please always keep the list or a tracker email Cc'd.
I've added [email-masked] manually.

Subject: maint: Update library names used by Gnulib.
From: Collin Funk <[email-masked]>
To: [email-masked]
Date: Tue, 13 Aug 2024 17:48:55 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

This patch fixes some Makefile variables according to these Gnulib NEWS
entries:

2023-01-07  fdatasync       Link with $(FDATASYNC_LIB) instead of
                            $(LIB_FDATASYNC).
[...]
2023-01-07  clock_time      Link with $(CLOCK_TIME_LIB) instead of
                            $(LIB_CLOCK_GETTIME).

IIRC these libraries are only needed on older Glibc, Solaris, Android,
and probably didn't break builds on modern platforms.

Collin

>From e770bd56f5fe22bc00f22c4dfaf6817cecfe4dd4 Mon Sep 17 00:00:00 2001
From: Collin Funk <[email-masked]>
Date: Tue, 13 Aug 2024 17:42:32 -0700
Subject: [PATCH] maint: Update library names used by Gnulib.

* Makefile.am (gzip_LDADD): Update library names according to Gnulib
NEWS 2023-01-07.
---
 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Makefile.am b/Makefile.am
index 899bfdd..98bf483 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -62,8 +62,8 @@ gzip_SOURCES = \
   bits.c deflate.c gzip.c inflate.c \
   trees.c unlzh.c unlzw.c unpack.c unzip.c util.c zip.c
 gzip_LDADD = libver.a lib/libgzip.a
-gzip_LDADD += $(LIB_CLOCK_GETTIME) $(LIB_FDATASYNC)
-# gnulib-tool also recommends $(LIB_MBRTOWC) and $(LIBINTL), but
+gzip_LDADD += $(CLOCK_TIME_LIB) $(FDATASYNC_LIB)
+# gnulib-tool also recommends $(MBRTOWC_LIB) and $(LIBINTL), but
 # modules needing those libraries are avoided so the libraries can be omitted.
 if IBM_Z_DFLTCC
 gzip_SOURCES += dfltcc.c
-- 
2.46.0